<?xml version="1.0"?>

<!DOCTYPE project [
       <!ENTITY base SYSTEM "src/build/java/base.xml">
]>

<project default="usage" name="collector" basedir="."
         xmlns:ivy="antlib:org.apache.ivy.ant">

  <property name="javadoc-title" value="CollecTor API Documentation"/>
  <property name="implementation-title" value="CollecTor" />
  <property name="release.version" value="1.18.2-dev" />
  <property name="project-main-class" value="org.torproject.metrics.collector.Main" />
  <property name="name" value="collector"/>
  <property name="metricslibversion" value="2.18.0" />
  <property name="jarincludes" value="collector.properties logback.xml" />

  <patternset id="runtime" >
      <include name="commons-codec-1.15.jar"/>
      <include name="commons-compress-1.13.jar"/>
      <include name="jackson-annotations-2.8.6.jar"/>
      <include name="jackson-core-2.8.6.jar"/>
      <include name="jackson-databind-2.8.6.jar"/>
      <include name="xz-1.6.jar"/>
      <include name="metrics-lib-${metricslibversion}-thin.jar"/>
      <include name="logback-core-1.2.3.jar" />
      <include name="logback-classic-1.2.3.jar" />
      <include name="slf4j-api-1.7.22.jar" />
  </patternset>

  <target name="coverage-check">
    <cobertura-check totallinerate="31" totalbranchrate="26" >
      <regex pattern="org.torproject.metrics.collector.bridgedescs"
             branchrate="87" linerate="73"/>
      <regex pattern="org.torproject.metrics.collector.conf"
             branchrate="87" linerate="100"/>
      <regex pattern="org.torproject.metrics.collector.cron"
             branchrate="66" linerate="72" />
      <regex pattern="org.torproject.metrics.collector.Main"
             branchrate="100" linerate="91" />
    </cobertura-check>
  </target>

  <!-- The following line adds the common targets and properties
       for Metrics' Java Projects.
  -->
  &base;

</project>
